using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public class SiteWeatherInfo {
        public SiteWeatherInfo() {
        }

        [DisplayName("ID"), Key, DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public Guid SiteWeatherInfoId { get; set; }
        [DisplayName("시도")]
        public string Sido { get; set; }
        [DisplayName("시구군")]
        public string Sigun { get; set; }
        [DisplayName("기준시간")]
        public DateTime BaseTime { get; set; }
        [DisplayName("현재온도")]
        public double? CurrentTemp { get; set; }
        [DisplayName("최고온도")]
        public double? HighTemp { get; set; }
        [DisplayName("최저온도")]
        public double? LowTemp { get; set; }
        [DisplayName("습도")]
        public double? Humidity { get; set; }
        [DisplayName("하늘")]
        public int Sky { get; set; }
        [DisplayName("강수형태")]
        public int RainType { get; set; }
        [DisplayName("강수량")]
        public double? Rain { get; set; }
        [DisplayName("낙뢰")]
        public int Thunder { get; set; }
        [DisplayName("미세먼지")]
        public double? Pm10 { get; set; }
        [DisplayName("초미세먼지")]
        public double? Pm25 { get; set; }
        [DisplayName("바람방향")]
        public int WindAngle { get; set; }
        [DisplayName("바람세기")]
        public double? WindSpeed { get; set; }

        [DisplayName("예보시간")]
        public DateTime? ForecastTime { get; set; }
        [DisplayName("실황시간")]
        public DateTime? ShortTermNowTime { get; set; }
        [DisplayName("미세먼지시간")]
        public DateTime? DustTime { get; set; }

        [NotMapped]
        public bool IsNew { get; set; }
    }
}
